(function ($, Drupal) {
  Drupal.behaviors.dark_mode_switch= {
    attach: function (context, settings) {
      // Check Dark Mode Switch Cookie.
      $(context).find('#dark-mode-switch').once('dark_mode_switch').each(function () {
        var darkmodestate = ($.cookie('darkmodeswitch') === undefined) ? false : JSON.parse($.cookie('darkmodeswitch'));
        $('body').toggleClass('darkmode', darkmodestate);
        $('#dark-mode-switch').prop("checked", darkmodestate);
      });
      // Toggle Dark Mode Switch.
      $('#dark-mode-switch').change(function () {
        $('body').toggleClass('darkmode');
        $.cookie('darkmodeswitch', $(this).is( ":checked" ), { expires: 365, path: '/' });
      });
    }
  };
})(jQuery, Drupal, drupalSettings );
